/* Default fonts */
var fonts = new Array();
fonts['ss1'] = '"DejaVu Sans", sans-serif';
fonts['ss2'] = 'Arial, Helvetica, sans-serif';
fonts['ss3'] = 'Verdana,Geneva, Arial, Helvetica, sans-serif';
fonts['ss4'] = '"Lucida Grande", "Lucida Sans Unicode", sans-serif';
fonts['ss5'] = '"Trebuchet MS", Helvetica, sans-serif';
fonts['ss5'] = 'Impact, Charcoal, sans-serif';
fonts['s1'] = '"DejaVu Serif", serif';
fonts['s2'] = 'Times, "Times New Roman", serif';
fonts['s3'] = 'Georgia, serif';
fonts['s4'] = 'Baskerville, "Palatino Linotype", serif';
fonts['m1'] = '"DejaVu Mono", monospace';
fonts['m2'] = '"Andale Mono", "Courier New", monospace';
fonts['m3'] = '"Courier New", Courier, mono, monospace';
/* Defaults fallback message */
var gw_fallback_msg = 'dcWave seems to be disabled, cannot load the Wave with ID';

$(function(){
	$('#media-insert-cancel').click(
		function(){window.close();}
	);
	$('#media-insert-ok').click(
		function(){sendClose();window.close();}
	);
	function sendClose(){
		var insert_form=$('#media-insert-form').get(0);
		if (insert_form==undefined) {
			return; 
		}
		var tb=window.opener.the_toolbar;
		var data=tb.elements.gwave.data;
		data.html=gethtml(insert_form);
		tb.elements.gwave.fncall[tb.mode].call(tb);
	};
	update_preview()
});
function get_style(form) {
	var form=$('#media-insert-form').get(0);
	var style = "";
	style += "background : "+form.gw_bg.value+"; ";
	style += "color : "+form.gw_fg.value+"; ";
	style += "font-family : "+fonts[form.gw_font.value]+"; ";
	style += "font-size : "+form.gw_font_size.value+"; ";
	style += "width : "+form.gw_width.value+"; ";
	style += "height : "+form.gw_height.value+"; ";
	return style;
};
function gethtml (form){
		var res='<div class="gwave"';
		var alignment=$('input[name="alignment"]:checked',form).val();
		if(alignment=='left'){
			res+=' style="float: left; margin: 0 1em 1em 0;"';
		}else if(alignment=='right'){
			res+=' style="float: right; margin: 0 0 1em 1em;"';
		}else if(alignment=='center'){
			res+=' style="margin: 1em auto; text-align: center;"';
		}
		res+='>\n\t<div class="wave" style=\''+get_style(form)+'\'>'+"\n";
		/* hide here server and prefix data */
		res+='\t<p style="display : none" class="gw_server">'+form.gw_server.value+'</p>\n';
		res+='\t<p style="display : none" class="gw_prefix">'+form.gw_prefix.value+'</p>\n';
		res+='\t<p style="display : none" class="gw_id">'+form.gw_id.value+'</p>\n';
		/* Insert fallback text */
		res+='\t<p class="gw_fallback">'+gw_fallback_msg+' ['+form.gw_id.value+']</p>\n';
		res+='</div>\n';
		var title = form.gw_title.value;
		if(title){
			if(form.gw_url.value){
				title='<a href="'+form.gw_url.value+'">'+title+'</a>';
			}
			res+='<br />'+title+'\n';
		}
		res+='</div>';
		return res;
	}
function update_preview() {
	var form=$('#media-insert-form').get(0);
	if (form!=undefined) {
		$('#preview').text(gethtml(form)).html();
	}
};
